commit: fb854dfad791b7502d50cdab9b27c25800bcf2d8
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 28 18:10:00 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 28 18:16:26 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb854dfa
dev-python/roman: add 4.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/roman/Manifest | 1 +
dev-python/roman/roman-4.0.ebuild | 25 +++++++++++++++++++++++++
2 files changed, 26 insertions(+)
diff --git a/dev-python/roman/Manifest b/dev-python/roman/Manifest
index 951d57716ea5..fb7bbad64f30 100644
--- a/dev-python/roman/Manifest
+++ b/dev-python/roman/Manifest
@@ -1 +1,2 @@
DIST roman-3.3.tar.gz 7577 BLAKE2B
651d30154e01c9bc61326581c5600efb5f717b2c21cb6345d51ba5aa44d79bff00e66492d3962ed4c9682103a9c00af8205ae9d90b30b9a3f13dc2d18e6f1592
SHA512
8d2952640519052ce629a3881cb871448fc7921eb5f45525305c43ef9fb2672062d0ca96ab16d7aaa95f5eebcad028fdcf519f224f3631734fbb6a4a314f3a49
+DIST roman-4.0.tar.gz 9380 BLAKE2B
f158a9c7ed9aae2e8c3aaf8b4db9610cd437119493af87c248f8f7d2157228f2bbeb7085eb8f02d169f3e3f5221831ebb10a773d70c5dc7133d32896d5c21dbd
SHA512
5421ac46fc5f49c8913a6089d51781bc0a01f2863ea2655b57adba1d07632d4e459fcb26350d0c2dfdf4a31c64a31e9fc86b22165df212c9f8db4bf41cf2e2a1
diff --git a/dev-python/roman/roman-4.0.ebuild
b/dev-python/roman/roman-4.0.ebuild
new file mode 100644
index 000000000000..334e4e988845
--- /dev/null
+++ b/dev-python/roman/roman-4.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Integer to Roman numerals converter"
+HOMEPAGE="
+ https://pypi.org/project/roman/
+ https://github.com/zopefoundation/roman
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ mv "${S}/src/tests.py" . || die "moving test file failed"
+ distutils-r1_python_prepare_all
+}